# $Revision: 1.8 $, $Date: 2008/07/27 22:35:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filesys
%define		pnam	Virtual
Summary:	Filesys::Virtual - Perl extension to provide a framework for a virtual filesystem
Summary(pl.UTF-8):	Filesys::Virtual - szkielet dla wirtualnych systemów plików
Name:		perl-Filesys-Virtual
Version:	0.06
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	825f02140a699cd11d23ebce178746fb
URL:		http://search.cpan.org/dist/Filesys-Virtual/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a base class for virtual filesystems.

%description -l pl.UTF-8
Ten moduł implementuje klasę bazową dla wirtualnych systemów plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Filesys/Virtual

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
# next one could be moved to perl-modules if more things
# not depending on this module will require that directory
%dir %{perl_vendorlib}/Filesys
# modules using this one puts them under next dir
%dir %{perl_vendorlib}/Filesys/Virtual
%{perl_vendorlib}/Filesys/Virtual.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Filesys-Virtual.spec,v $
Revision 1.8  2008/07/27 22:35:02  arekm
- release 2

Revision 1.7  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.5  2006/08/19 23:41:45  qboosh
- pl, updated to 0.06

Revision 1.4  2006/07/30 22:43:26  glen
- specify License, no utf8 in Summary

Revision 1.3  2006/07/30 18:37:22  agaran
- rel 0.2, forgot to create dir.

Revision 1.2  2006/07/30 18:33:46  agaran
- missing dir

Revision 1.1  2006/07/30 18:31:05  agaran
- initial version 0.05, rel 0.1 builds here
